Search users
Roles
Analytics Events
/v1/users/searchReturns a list of users from the tenant that match all the provided search criteria (all criteria are optional).
Analytic events
- USER_SEARCH_START
- USER_SEARCH_SUCCESS
- USER_SEARCH_FAIL
Authorization
bearerAuth In: header
Request Body
application/json
The search criteria
Filter users by claims. Nested objects are supported. Text values must be an exact match.
Filter users by their unique identifier in the configured Authentication Provider.
Range size of returned entries, default 100
1 <= value <= 1000Starting point for the range of entries
Response Body
application/json
application/json
curl -X POST "https://example.vii.au01.mattr.global/v1/users/search" \ -H "Content-Type: application/json" \ -d '{}'{
"nextCursor": "Y3JlYXRlZEF0PTIwMjAtMDgtMjVUMDY6NDY6MDkuNTEwWiZpZD1hNjZmZmVhNS04NDhlLTQzOWQtODBhNC1kZGE1NWY1M2UzNmM",
"data": [
{
"id": "0c3fad74-a8df-4a2d-8e75-f2d356b413ba",
"claims": {
"externalUserId": "0c3fad74-a8df-4a2d-8e75-f2d356b413ba"
},
"authenticationProvider": {
"providerId": "41458e5a-9092-40b7-9a26-d4eb43c5792f",
"url": "https://example-university.au.auth0.com",
"subjectId": "example-university-oauth2|123456789"
}
}
]
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}How would you rate this page?
Delete a user DELETE
Deletes a user and removes any persisted data related to them by providing the user ID. <Callout> Any credentials issued to the user remain valid even after the user is deleted. </Callout> ### **Analytic events** * USER_DELETE_START * USER_DELETE_SUCCESS * USER_DELETE_FAIL
Retrieve all user credentials data GET
Returns metadata for all the credentials issued to the provided `userId`. ### **Analytic events** * USER_CREDENTIAL_RETRIEVE_LIST_START * USER_CREDENTIAL_RETRIEVE_LIST_SUCCESS * USER_CREDENTIAL_RETRIEVE_LIST_FAIL